<!-- Extending the base template including the header -->
{% extends "base.html" %}
<!-- Content for the Page -->
{% block content %}
    <div class="login">
        <div class="login__background" />
        <div class="login__content">
            <a class="login__header" href="/">
                <img src="{{ url_for('static', filename='images/logo/color.svg') }}"
                     alt="Tor Logo"
                     class="login__header__logo"
                     height="33"
                     width="53" />
                <div class="login__header__separator"></div>
                <span class="login__header__text">Weather</span>
            </a>
            <div class="login__content__container">
                <div class="login__title">Welcome back</div>
                <div class="login__subtitle">Please enter your details to continue</div>
                <form class="login__form" action="/api/login" method="post">
                    <div class="login__form__input email">
                        <label class="login__form__input__label" for="email">Email ID</label>
                        <input class="login__form__input__element"
                               name="email"
                               type="email"
                               placeholder="Email ID"
                               required />
                    </div>
                    <div class="login__form__input password">
                        <label class="login__form__input__label" for="password">Password</label>
                        <input class="login__form__input__element"
                               name="password"
                               type="password"
                               placeholder="Password"
                               required />
                    </div>
                    <input type="submit" value="Sign In" class="login__form__submit" />
                    <div class="login__signup">
                        <span class="login__signup__content">Don't have an account?</span>
                        <a class="login__signup__link" href="/register">Sign up</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
{% endblock content %}
